#
# spec file for package openstack-horizon-plugin-trove-ui
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define version_unconverted 11.1.0.dev27

Name:           openstack-horizon-plugin-trove-ui
Version:        11.1.0~dev27
Release:        1.1
Summary:        Trove UI Plugin for OpenStack Horizon
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/trove-dashboard
Source:         http://tarballs.openstack.org/trove-dashboard/trove-dashboard-master.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-dashboard
BuildRequires:  openstack-suse-macros
BuildRequires:  openstack-suse-sudo
BuildRequires:  python-base
BuildRequires:  python-pbr
BuildRequires:  python-troveclient
Requires:       python-horizon-plugin-trove-ui = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
OpenStack Trove management plugin for Horizon.

%package -n python-horizon-plugin-trove-ui
Summary:        Trove Management Plugin for Horizon - Python module
Group:          Development/Languages/Python
Requires:       python >= 2.7
Requires:       python-Babel >= 1.3
Requires:       python-Django >= 1.8
Requires:       python-django_compressor >= 1.4
Requires:       python-iso8601 >= 0.1.9
Requires:       python-keystoneclient >= 1.6.0
Requires:       python-swiftclient >= 2.2.0
Requires:       python-troveclient >= 1.2.0

%description -n python-horizon-plugin-trove-ui
OpenStack Trove management plugin for Horizon.

%package test
Summary:        Trove Management Plugin for Horizon - Testsuite
Group:          Development/Languages/Python
Requires:       python-Sphinx >= 1.1.1
Requires:       python-ddt >= 0.7.0
Requires:       python-django-nose >= 1.2
Requires:       python-mock >= 1.2
Requires:       python-mox3 >= 0.7.0
Requires:       python-oslosphinx >= 2.5.0
Requires:       python-python-subunit >= 0.0.18
Requires:       python-reno >= 1.6.2
Requires:       python-testrepository >= 0.0.18
Requires:       python-testscenarios >= 0.4
Requires:       python-testtools >= 1.4.0
Requires:       python-xvfbwrapper >= 0.1.3

%description test
The OpenStack Trove dashboard project testsuite

%prep
%setup -q -n trove-dashboard-%{version_unconverted}

%openstack_cleanup_prep

%build
python setup.py build

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

install -m 0755 -d %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
cp -a trove_dashboard/enabled/_1710_database_panel_group.py %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
cp -a trove_dashboard/enabled/_1720_project_databases_panel.py %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
cp -a trove_dashboard/enabled/_1730_project_database_backups_panel.py %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
cp -a trove_dashboard/enabled/_1731_project_database_backups_panel.py %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
cp -a trove_dashboard/enabled/_1740_project_database_clusters_panel.py %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
cp -a trove_dashboard/enabled/_1760_project_database_configurations_panel.py %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/

### misc
%fdupes %{buildroot}%{python_sitelib}/trove_dashboard

%post
su wwwrun -s /bin/sh -c "python /srv/www/openstack-dashboard/manage.py collectstatic --noinput --clear > /dev/null"

%postun
su wwwrun -s /bin/sh -c "python /srv/www/openstack-dashboard/manage.py collectstatic --noinput --clear > /dev/null"

%files
%defattr(-,root,root)
/srv/www/openstack-dashboard/openstack_dashboard/enabled
%doc ChangeLog README.rst LICENSE

%files -n python-horizon-plugin-trove-ui
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/trove_dashboard/
%{python_sitelib}/trove_dashboard-*.egg-info
%exclude %{python_sitelib}/trove_dashboard/test*

%files test
%defattr(-,root,root)
%{python_sitelib}/trove_dashboard/test*

%changelog
* Fri Mar 22 2019 cloud-devel@suse.de
- Update to version trove-dashboard-11.1.0.dev27:
  * Removed older version of python added 3.5
  * Imported Translations from Zanata
  * Update hacking version
  * fix tox python3 overrides
  * Change openstack-dev to openstack-discuss
  * Don't quote {posargs} in tox.ini
  * Add Volume Size value in cluster instances details
  * Remove object-store permission for Clusters panel
* Sat Oct 27 2018 cloud-devel@suse.de
- Update to version trove-dashboard-11.1.0.dev14:
  * Imported Translations from Zanata
* Wed Oct 24 2018 cloud-devel@suse.de
- Update to version trove-dashboard-11.1.0.dev13:
  * Imported Translations from Zanata
* Sat Oct 20 2018 cloud-devel@suse.de
- Update to version trove-dashboard-11.1.0.dev12:
  * Increment versioning with pbr instruction
  * fix tox python3 overrides
* Thu Sep 20 2018 cloud-devel@suse.de
- Update to version trove-dashboard-11.0.1.dev9:
  * Cleanup zuul.yaml
  * add python 3.6 unit test job
  * switch documentation job to new PTI
  * import zuul job settings from project-config
  * Drop nose dependencies
  11.0.0
* Tue Aug 21 2018 cloud-devel@suse.de
- Update to version trove-dashboard-11.0.0.0rc2.dev3:
  * Update reno for stable/rocky
  * Imported Translations from Zanata
  11.0.0.0rc1
* Thu Aug  2 2018 sjamgade@suse.com
- Dropped python-djang-openstack-auth
  https://review.openstack.org/#/c/520322/
* Fri Jul 27 2018 cloud-devel@suse.de
- Update to version trove-dashboard-11.0.0.0b2.dev14:
  * Fix README syntax to meet PyPI requirements
* Sat Jun 30 2018 cloud-devel@suse.de
- Update to version trove-dashboard-11.0.0.0b2.dev13:
  * Finish removal of mox
* Fri Jun 29 2018 cloud-devel@suse.de
- Update to version trove-dashboard-11.0.0.0b2.dev12:
  * Drop mox from database\_backups
  * Mox removal for LogsTests
  * Mox removal for ClustersTests
  * Mox removal for DatabaseTests
  * Mox removal for DatabaseConfigurationsTests
* Tue Jun 12 2018 cloud-devel@suse.de
- Update to version trove-dashboard-11.0.0.0b2.dev3:
  * Django 2.0 support
* Wed Jun  6 2018 cloud-devel@suse.de
- Update to version trove-dashboard-11.0.0.0b2.dev2:
  * Cleanup requirements
* Fri May 11 2018 cloud-devel@suse.de
- Update to version trove-dashboard-11.0.0.0b2.dev1:
  * Remove table UpdateAction and declare mox dependency
  11.0.0.0b1
* Thu Apr 12 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.1.dev15:
  * Imported Translations from Zanata
* Tue Mar 20 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.1.dev14:
  * Avoid using hasattr() on troveclient resources for py3 porting
  * Use for loop instead of map to modify iterables
  * Fix str and dict usages in unittests for Python3
* Sat Mar 17 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.1.dev8:
  * Fix binascii hexlify under Python 3
* Thu Mar 15 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.1.dev6:
  * Avoid tox-install.sh
* Thu Mar  8 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.1.dev5:
  * Imported Translations from Zanata
  10.0.0
* Thu Mar  1 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0rc2.dev4:
  * Imported Translations from Zanata
* Wed Feb 21 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0rc2.dev3:
  * Imported Translations from Zanata
* Fri Feb  9 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0rc2.dev1:
  * Update reno for stable/queens
  10.0.0.0rc1
* Thu Feb  8 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0b4.dev8:
  * Imported Translations from Zanata
* Mon Feb  5 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0b4.dev7:
  * Deprecated error method
* Sun Feb  4 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0b4.dev5:
  * Imported Translations from Zanata
* Tue Jan 30 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0b4.dev4:
  * Imported Translations from Zanata
* Sun Jan 28 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0b4.dev3:
  * Remove empty files
  * Imported Translations from Zanata
  10.0.0.0b3
* Wed Jan 17 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0b2.dev35:
  * Imported Translations from Zanata
* Tue Jan 16 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0b2.dev34:
  * Fix the url of trove project
* Fri Jan 12 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0b2.dev33:
  * Switch to oslo\_log
  * Remove the redundant attributes
  * Add "\*.swp" to ".gitignore" file
  * Update the documentation link for doc migration
* Tue Jan  9 2018 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0b2.dev25:
  * Remove empty files
  * Add host to user access show title
  * Fix incorrect example of mysql connection
* Tue Dec 19 2017 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0b2.dev20:
  * Fix users page display error
  * Align tox\_install.sh with other projects
* Fri Dec 15 2017 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0b2.dev17:
  * Fix import heat\_data error for tests
* Wed Dec  6 2017 cloud-devel@suse.de
- Update to version trove-dashboard-10.0.0.0b2.dev16:
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Remove setting of version/release from releasenotes
  * Drop django\_openstack\_auth from requirements.txt
  * Imported Translations from Zanata
  * Fix leak of password info in logs
  * Fix unstable test case
  * Switch from oslosphinx to openstackdocstheme
  10.0.0.0b1
  * Imported Translations from Zanata
  * Fix to use . to source script files
  * Update reno for stable/pike
  * Restrict launch fields when restoring from backup
* Tue Sep 12 2017 cloud-devel@suse.de
- Update to version trove-dashboard-9.0.1.dev1:
  * Using assertIsNone() instead of assertEqual(None)
  9.0.0
* Tue Aug  8 2017 cloud-devel@suse.de
- Update to version trove-dashboard-9.0.0.0b4.dev1:
  9.0.0.0b3
  * Imported Translations from Zanata
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version trove-dashboard-9.0.0.0b3.dev5:
  * Imported Translations from Zanata
* Tue Jun 20 2017 cloud-devel@suse.de
- Update to version trove-dashboard-9.0.0.0b3.dev4:
  * Imported Translations from Zanata
* Sat Jun 17 2017 cloud-devel@suse.de
- Update to version trove-dashboard-9.0.0.0b3.dev3:
  * Add support for uppercase fieldname to cluster
* Fri Jun 16 2017 cloud-devel@suse.de
- Update to version trove-dashboard-9.0.0.0b3.dev2:
  9.0.0.0b2
  * Update launchpad link to trove-dashboard
  * Trove user page doesn't show allowed hosts AND databases
* Mon May 15 2017 cloud-devel@suse.de
- Update to version trove-dashboard-9.0.0.0b2.dev2:
  * Failure to launch dashboard with error about missing class methods
  * Don't import ceilometer\_data
  * Remove unnecessary ugettext\_lazy
  * py3: Replace unicode with six.text\_type
  * py3: Replace unicode with six.text\_type
  * Fix E127 errors in remaining openstack\_dashboard/
* Wed Apr 19 2017 cloud-devel@suse.de
- Update to version trove-dashboard-9.0.0.0b2.dev1:
  9.0.0.0b1
  * Imported Translations from Zanata
* Mon Apr 10 2017 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0rc2.dev5:
  * Imported Translations from Zanata
* Thu Feb  9 2017 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0rc2.dev4:
  * Update reno for stable/ocata
* Sun Feb  5 2017 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0rc2.dev2:
  * Imported Translations from Zanata
* Sat Feb  4 2017 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0rc2.dev1:
  8.0.0.0rc1
  * Imported Translations from Zanata
* Thu Feb  2 2017 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b4.dev1:
  8.0.0.0b3
  * Imported Translations from Zanata
* Thu Jan 26 2017 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b3.dev17:
  * Imported Translations from Zanata
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b3.dev16:
  * Remove the redundant "required=True"
* Wed Jan 18 2017 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b3.dev14:
  * Imported Translations from Zanata
* Mon Jan 16 2017 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b3.dev13:
  * Delete the unused LOG code
* Fri Jan 13 2017 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b3.dev11:
  * Imported Translations from Zanata
* Thu Jan 12 2017 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b3.dev10:
  * Imported Translations from Zanata
* Wed Jan 11 2017 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b3.dev9:
  * Use 'trimmed' for blocktrans in html page
  * Imported Translations from Zanata
* Fri Jan  6 2017 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b3.dev6:
  * Fix grow cluster caching
* Sun Jan  1 2017 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b3.dev4:
  * Imported Translations from Zanata
* Thu Dec 29 2016 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b3.dev3:
  * Imported Translations from Zanata
* Tue Dec 27 2016 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b3.dev2:
  * Enable pxc grow/shrink
  8.0.0.0b2
* Tue Dec 13 2016 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b2.dev8:
  * Update home-page in setup.cfg
* Mon Dec 12 2016 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b2.dev7:
  * Fix Django 1.10 Compatibility
* Sun Dec 11 2016 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b2.dev5:
  * Add requirement for cross-process cache
* Thu Dec  1 2016 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b2.dev4:
  * Imported Translations from Zanata
  * Show team and repo badges on README
* Wed Nov 30 2016 cloud-devel@suse.de
- Update to version trove-dashboard-8.0.0.0b2.dev1:
  * Don't import ceilometer_data
  8.0.0.0b1
* Sun Nov 13 2016 cloud-devel@suse.de
- Update to version trove-dashboard-7.0.0.0rc2.dev14:
  * Imported Translations from Zanata
* Thu Nov 10 2016 cloud-devel@suse.de
- Update to version trove-dashboard-7.0.0.0rc2.dev13:
  * Imported Translations from Zanata
* Sat Nov  5 2016 cloud-devel@suse.de
- Update to version trove-dashboard-7.0.0.0rc2.dev12:
  * make trove-dashboard use upper-constraints
* Mon Oct 24 2016 cloud-devel@suse.de
- Update to version trove-dashboard-7.0.0.0rc2.dev10:
  * Imported Translations from Zanata
* Sun Oct 23 2016 dmueller@suse.com
- cleanup dependencies
* Sat Oct 22 2016 r.arcea@gmail.com
- Trove dashboard for OpenStack Horizon
